local FOODTYPE = GLOBAL.FOODTYPE
FOODTYPE.NIGHTFUEL = "NIGHTFUEL"
AddComponentPostInit("eater", function(self)
    function self:SetCanEatNightmareFuel()
        table.insert(self.preferseating, FOODTYPE.NIGHTFUEL)
        table.insert(self.caneat, FOODTYPE.NIGHTFUEL)
        if not self.inst:HasTag(FOODTYPE.NIGHTFUEL.."_eater") then
            self.inst:AddTag(FOODTYPE.NIGHTFUEL.."_eater")
        end
    end

end)
